Bug 961015 - Virt-viewer debug using --spice-debug in the registry is not getting enough debug information in Windows Event Viewer.
Virt-viewer debug using --spice-debug in the registry is not getting enough d...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Marc-Andre Lureau
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 10:19 EDT by Bill Sanford
Modified: 2015-09-22 09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:49:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2013-05-08 10:19:42 EDT
Description of problem:
Virt-viewer debug using --spice-debug in the registry is not getting enough debug information in Windows Event Viewer. In bug https://bugzilla.redhat.com/show_bug.cgi?id=960709, I specifically state and post debug information from the Windows Event Viewer. If I then have to run GDB to get a bt, there is not enough logging for debugging.

Version-Release number of selected component (if applicable):
RHEV-M 3.2 (si14)
W2K8R2 client 
spice-client-msi-3.2-10 (mingw-virt-viewer 0.5.3-25).
vdagent-win-0.1-17


How reproducible:
100%

Steps to Reproduce:
1. See above and below.
2.
3.
  
Actual results:
Need to run GDB

Expected results:
Spice debug logs should have the debug information needed.

Additional info:

To enable debugging and save the debug log in Windows Event Viewer for SPICE:

In HK_Current_User\Software\spice-space.org\spicex\client, at the end add 
--spice-debug

Add a registry key in "HK_Local_Machine\\SYSTEM\\CurrentControlSet\\Services\\EventLog\\Application\\" called VirtViewer

When you go to the Windows logs -> Filter current log -> Event sources, you will have a VirtViewer "Key" that you added.

Then you can Save the filtered logfile into a text file and you are done.
Comment 1 Marc-Andre Lureau 2013-05-08 10:49:09 EDT
Windows Event Viewer is not meant for debugging.

If you want to enable debugging on windows, there is debug-helper.
Comment 2 Andrew Cathrow 2013-07-09 21:49:45 EDT
closing based on comment #1 and the fact that need-info is open for 2 months now

Note You need to log in before you can comment on or make changes to this bug.